# Copyright (C) 2008 Canonical
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys
import os
from tbzrcommands import error_dialog

class cmd_help:
    def run(self):
        if hasattr(sys, "frozen"):
            inst_dir = os.path.dirname(sys.executable)
            # hrm - we should probably use the locale module to see if we
            # have localized versions, but its not clear how to do that.
            index = os.path.join(inst_dir, "doc", "tbzr", "index.html")
            os.startfile(index)
        else:
            error_dialog("Sorry, but I don't know how to locate the docs in a source build")
