// CopyHook.h : Declaration of the CCopyHook

#pragma once
#include "resource.h"       // main symbols

// CCopyHook

class CCopyHook : public ICopyHookW
{
    LONG m_refcnt;
public:
	CCopyHook();

    STDMETHODIMP QueryInterface(const IID &riid, void **ppv);
    TBZR_IUNKNOWN_IMPLEMENT();

	// ICopyHook implementation
	STDMETHOD_(UINT, CopyCallback)(
		HWND hwnd,
		UINT wFunc,
		UINT wFlags,
		LPCWSTR srcFile,
		DWORD srcAttribs,
		LPCWSTR destFile,
		DWORD destAttribs);

};
