// Various helper structure definitions used to move data over the pipe

#pragma once

const int EXEC_TBZRCOMMAND_STD = 1;
const int EXEC_TBZRCOMMAND_STD_SELECTION = 2;

struct TBZRMenuCommand {
	DWORD keystate;
	DWORD exec_type; // one of EXEC_TBZRCOMMAND_* flags above
	std::wstring cmdline;
};

struct TBZRMenuInfo {
	DWORD flags;
	int level;
	std::wstring text;
	std::wstring long_text;
	std::wstring ico;
	std::vector<TBZRMenuCommand> commands;
};

