# This is a package
import struct

pipe_base_name = "\\\\.\\pipe\\TortoiseBZR"

_pipe_full_name = None

def get_pipe_name():
    global _pipe_full_name
    # each user gets its own pipe.  This is how TSVN does it.
    if _pipe_full_name is None:
        # XXX - duplicated in app.py, _get_uid() - see comments there...
        # avoid polluting the global namespace.
        import win32process, win32security
        tok = win32security.OpenProcessToken(win32process.GetCurrentProcess(),
                                             win32security.TOKEN_QUERY)
        info = win32security.GetTokenInformation(tok,
                                                 win32security.TokenStatistics)
        uid = info['AuthenticationId']
        _pipe_full_name = "%s-%s" % (pipe_base_name, uid)
    return _pipe_full_name
